searchData={"items":[{"type":"module","title":"Hellosign","doc":"Provides API wrappers for Hellosign API\nSee https://developers.hellosign.com/api/quickstart for further info on REST endpoints","ref":"Hellosign.html"},{"type":"function","title":"Hellosign.create_embedded/2","doc":"Creates a new SignatureRequest with the submitted documents to be signed in an embedded iFrame. If\nform_fields_per_document is not specified, a signature page will be affixed where all signers will\nbe required to add their signature, signifying their agreement to all contained documents. Note that\nembedded signature requests can only be signed in embedded iFrames whereas normal signature requests\ncan only be signed on Dropbox Sign.\n\nSee: https://developers.hellosign.com/api/reference/operation/signatureRequestCreateEmbedded/","ref":"Hellosign.html#create_embedded/2"},{"type":"function","title":"Example request - Hellosign.create_embedded/2","doc":"```elixir\n    Hellosign.Embedded.create_request()\n```","ref":"Hellosign.html#create_embedded/2-example-request"},{"type":"function","title":"Example response - Hellosign.create_embedded/2","doc":"```elixir\n    Hellosign.Embedded.create_response()\n```","ref":"Hellosign.html#create_embedded/2-example-response"},{"type":"function","title":"Hellosign.download_file/4","doc":"Retrieves the requeted file against the provided signature request id.\n\n  See when type is set to,\n    default: https://developers.hellosign.com/api/reference/operation/signatureRequestFiles/\n    data_uri: https://developers.hellosign.com/api/reference/operation/signatureRequestFilesAsDataUri/\n    file_url: https://developers.hellosign.com/api/reference/operation/signatureRequestFilesAsFileUrl/","ref":"Hellosign.html#download_file/4"},{"type":"function","title":"Hellosign.get_embedded_sign_url/2","doc":"Retrieves an embedded object containing a signature url that can be opened in an iFrame. Note that templates created via the embedded template process will only be accessible through the API.\n\nSee: https://developers.hellosign.com/api/reference/operation/embeddedSignUrl/","ref":"Hellosign.html#get_embedded_sign_url/2"},{"type":"function","title":"Example request - Hellosign.get_embedded_sign_url/2","doc":"```elixir\n    Hellosign.Embedded.get_sign_url_request()\n```","ref":"Hellosign.html#get_embedded_sign_url/2-example-request"},{"type":"function","title":"Example response - Hellosign.get_embedded_sign_url/2","doc":"```elixir\n    Hellosign.Embedded.get_sign_url_response()\n```","ref":"Hellosign.html#get_embedded_sign_url/2-example-response"},{"type":"function","title":"Hellosign.start/2","doc":"","ref":"Hellosign.html#start/2"},{"type":"module","title":"Hellosign.Client","doc":"","ref":"Hellosign.Client.html"},{"type":"function","title":"Hellosign.Client.api_get/3","doc":"","ref":"Hellosign.Client.html#api_get/3"},{"type":"function","title":"Hellosign.Client.api_post/3","doc":"","ref":"Hellosign.Client.html#api_post/3"},{"type":"function","title":"Hellosign.Client.basic/1","doc":"","ref":"Hellosign.Client.html#basic/1"},{"type":"function","title":"Hellosign.Client.delete/3","doc":"Issues a DELETE request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#delete/3"},{"type":"function","title":"Hellosign.Client.delete!/3","doc":"Issues a DELETE request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#delete!/3"},{"type":"function","title":"Hellosign.Client.get/3","doc":"Issues a GET request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#get/3"},{"type":"function","title":"Hellosign.Client.get!/3","doc":"Issues a GET request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#get!/3"},{"type":"function","title":"Hellosign.Client.handle_response/1","doc":"","ref":"Hellosign.Client.html#handle_response/1"},{"type":"function","title":"Hellosign.Client.head/3","doc":"Issues a HEAD request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#head/3"},{"type":"function","title":"Hellosign.Client.head!/3","doc":"Issues a HEAD request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#head!/3"},{"type":"function","title":"Hellosign.Client.options/3","doc":"Issues an OPTIONS request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#options/3"},{"type":"function","title":"Hellosign.Client.options!/3","doc":"Issues a OPTIONS request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#options!/3"},{"type":"function","title":"Hellosign.Client.patch/4","doc":"Issues a PATCH request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#patch/4"},{"type":"function","title":"Hellosign.Client.patch!/4","doc":"Issues a PATCH request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#patch!/4"},{"type":"function","title":"Hellosign.Client.post/4","doc":"Issues a POST request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#post/4"},{"type":"function","title":"Hellosign.Client.post!/4","doc":"Issues a POST request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#post!/4"},{"type":"function","title":"Hellosign.Client.process_headers/1","doc":"","ref":"Hellosign.Client.html#process_headers/1"},{"type":"function","title":"Hellosign.Client.process_request_body/1","doc":"","ref":"Hellosign.Client.html#process_request_body/1"},{"type":"function","title":"Hellosign.Client.process_request_headers/1","doc":"","ref":"Hellosign.Client.html#process_request_headers/1"},{"type":"function","title":"Hellosign.Client.process_request_options/1","doc":"","ref":"Hellosign.Client.html#process_request_options/1"},{"type":"function","title":"Hellosign.Client.process_request_params/1","doc":"","ref":"Hellosign.Client.html#process_request_params/1"},{"type":"function","title":"Hellosign.Client.process_request_url/1","doc":"","ref":"Hellosign.Client.html#process_request_url/1"},{"type":"function","title":"Hellosign.Client.process_response/1","doc":"","ref":"Hellosign.Client.html#process_response/1"},{"type":"function","title":"Hellosign.Client.process_response_body/1","doc":"","ref":"Hellosign.Client.html#process_response_body/1"},{"type":"function","title":"Hellosign.Client.process_response_chunk/1","doc":"","ref":"Hellosign.Client.html#process_response_chunk/1"},{"type":"function","title":"Hellosign.Client.process_response_headers/1","doc":"","ref":"Hellosign.Client.html#process_response_headers/1"},{"type":"function","title":"Hellosign.Client.process_response_status_code/1","doc":"","ref":"Hellosign.Client.html#process_response_status_code/1"},{"type":"function","title":"Hellosign.Client.process_status_code/1","doc":"","ref":"Hellosign.Client.html#process_status_code/1"},{"type":"function","title":"Hellosign.Client.process_url/1","doc":"","ref":"Hellosign.Client.html#process_url/1"},{"type":"function","title":"Hellosign.Client.put/4","doc":"Issues a PUT request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Hellosign.Client.html#put/4"},{"type":"function","title":"Hellosign.Client.put!/4","doc":"Issues a PUT request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#put!/4"},{"type":"function","title":"Hellosign.Client.request/1","doc":"Issues an HTTP request using an `HTTPoison.Request` struct.\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Hellosign.Client.html#request/1"},{"type":"function","title":"Redirect handling - Hellosign.Client.request/1","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Hellosign.Client.html#request/1-redirect-handling"},{"type":"function","title":"Examples - Hellosign.Client.request/1","doc":"request = %HTTPoison.Request{\n      method: :post,\n      url: \"https://my.website.com\",\n      body: \"{\\\"foo\\\": 3}\",\n      headers: [{\"Accept\", \"application/json\"}]\n    }\n\n    request(request)","ref":"Hellosign.Client.html#request/1-examples"},{"type":"function","title":"Hellosign.Client.request/5","doc":"Issues an HTTP request with the given method to the given url.\n\nThis function is usually used indirectly by `get/3`, `post/4`, `put/4`, etc\n\nArgs:\n  * `method` - HTTP method as an atom (`:get`, `:head`, `:post`, `:put`,\n    `:delete`, etc.)\n  * `url` - target url as a binary string or char list\n  * `body` - request body. See more below\n  * `headers` - HTTP headers as an orddict (e.g., `[{\"Accept\", \"application/json\"}]`)\n  * `options` - Keyword list of options\n\nBody: see type `HTTPoison.Request`\n\nOptions: see type `HTTPoison.Request`\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Hellosign.Client.html#request/5"},{"type":"function","title":"Redirect handling - Hellosign.Client.request/5","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Hellosign.Client.html#request/5-redirect-handling"},{"type":"function","title":"Examples - Hellosign.Client.request/5","doc":"request(:post, \"https://my.website.com\", \"{\\\"foo\\\": 3}\", [{\"Accept\", \"application/json\"}])","ref":"Hellosign.Client.html#request/5-examples"},{"type":"function","title":"Hellosign.Client.request!/1","doc":"Issues an HTTP request an `HTTPoison.Request` struct.\nexception in case of failure.\n\n`request!/1` works exactly like `request/1` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Hellosign.Client.html#request!/1"},{"type":"function","title":"Hellosign.Client.request!/5","doc":"Issues an HTTP request with the given method to the given url, raising an\nexception in case of failure.\n\n`request!/5` works exactly like `request/5` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Hellosign.Client.html#request!/5"},{"type":"function","title":"Hellosign.Client.request_headers/2","doc":"","ref":"Hellosign.Client.html#request_headers/2"},{"type":"function","title":"Hellosign.Client.start/0","doc":"Starts HTTPoison and its dependencies.","ref":"Hellosign.Client.html#start/0"},{"type":"function","title":"Hellosign.Client.stream_next/1","doc":"Requests the next message to be streamed for a given `HTTPoison.AsyncResponse`.\n\nSee `request!/5` for more detailed information.","ref":"Hellosign.Client.html#stream_next/1"},{"type":"type","title":"Hellosign.Client.body/0","doc":"","ref":"Hellosign.Client.html#t:body/0"},{"type":"type","title":"Hellosign.Client.headers/0","doc":"","ref":"Hellosign.Client.html#t:headers/0"},{"type":"type","title":"Hellosign.Client.method/0","doc":"","ref":"Hellosign.Client.html#t:method/0"},{"type":"type","title":"Hellosign.Client.options/0","doc":"","ref":"Hellosign.Client.html#t:options/0"},{"type":"type","title":"Hellosign.Client.params/0","doc":"","ref":"Hellosign.Client.html#t:params/0"},{"type":"type","title":"Hellosign.Client.request/0","doc":"","ref":"Hellosign.Client.html#t:request/0"},{"type":"type","title":"Hellosign.Client.url/0","doc":"","ref":"Hellosign.Client.html#t:url/0"},{"type":"module","title":"Hellosign.Config","doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"Hellosign.Config.html"},{"type":"function","title":"Hellosign.Config.api_key/0","doc":"","ref":"Hellosign.Config.html#api_key/0"},{"type":"function","title":"Hellosign.Config.api_url/0","doc":"","ref":"Hellosign.Config.html#api_url/0"},{"type":"function","title":"Hellosign.Config.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Hellosign.Config.html#child_spec/1"},{"type":"function","title":"Hellosign.Config.client_id/0","doc":"","ref":"Hellosign.Config.html#client_id/0"},{"type":"function","title":"Hellosign.Config.default_cc/0","doc":"","ref":"Hellosign.Config.html#default_cc/0"},{"type":"function","title":"Hellosign.Config.get/1","doc":"","ref":"Hellosign.Config.html#get/1"},{"type":"function","title":"Hellosign.Config.start_link/1","doc":"","ref":"Hellosign.Config.html#start_link/1"},{"type":"function","title":"Hellosign.Config.test_mode/0","doc":"","ref":"Hellosign.Config.html#test_mode/0"},{"type":"type","title":"Hellosign.Config.t/0","doc":"","ref":"Hellosign.Config.html#t:t/0"},{"type":"module","title":"Hellosign.Embedded","doc":"","ref":"Hellosign.Embedded.html"},{"type":"function","title":"Hellosign.Embedded.create/2","doc":"","ref":"Hellosign.Embedded.html#create/2"},{"type":"function","title":"Hellosign.Embedded.get_sign_url/2","doc":"","ref":"Hellosign.Embedded.html#get_sign_url/2"},{"type":"type","title":"Hellosign.Embedded.create_request/0","doc":"The create request type\n\nThe fields are:\n  * `client_id` - Client id of the app you're using to create this embedded signature request.\n      Used for security purposes.\n\n  * `files`                        - Use files[] to indicate the uploaded file(s) to send for signature.\n  * `file_urls`                    - Use file_urls[] to have Dropbox Sign download the file(s) to send for signature.\n  * `signers`                      - Add Signers to your Signature Request.\n  * `grouped_signers`              - Add Grouped Signers to your Signature Request.\n  * `allow_decline`                - Allows signers to decline to sign a document if true. Defaults to false.\n  * `allow_resign`                 - Allows signers to reassign their signature requests to other signers if set to true. Defaults to false.\n  * `attachemnts`                  - A list describing the attachments\n  * `cc_email_addresses`           - the cardinality of the association\n\n  * `custom_fields`                - When used together with merge fields, custom_fields allows users to add pre-filled data to their signature requests.\n      Pre-filled data can be used with \"send-once\" signature requests by adding merge fields with\n      form_fields_per_document or Text Tags while passing values back with custom_fields together\n      in one API call.\n\n      For using pre-filled on repeatable signature requests, merge fields are added to templates in the\n      Dropbox Sign UI or by calling /template/create_embedded_draft and then passing custom_fields on\n      subsequent signature requests referencing that template.\n\n  * `field_options`                - This allows the requester to specify field options for a signature request.\n  * `form_field_groups`            - Group information for fields defined in form_fields_per_document.\n      String-indexed JSON array with group_label and requirement keys. form_fields_per_document\n      must contain fields referencing a group defined in form_field_groups.\n\n  * `hide_text_tags`               - Enables automatic Text Tag removal when set to true.\n      NOTE: Removing text tags this way can cause unwanted clipping. We recommend leaving this\n      setting on false and instead hiding your text tags using white text or a similar approach.\n\n  * `message`                      - The custom message in the email that will be sent to the signers. <= 5_000 characters\n\n  * `metadata`                     - Key-value data that should be attached to the signature request.\n\n      This metadata is included in all API responses and events involving the signature request.\n      For example, use the metadata field to store a signer's order number for look up when\n      receiving events for the signature request.\n\n      Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names\n      up to 40 characters long and values up to 1000 characters long.\n\n  * `signing_options`              - This allows the requester to specify the types allowed for creating a signature.\n\n      Note: If signing_options are not defined in the request, the allowed types will default to those\n      specified in the account settings.\n\n  * `subject`                      - The subject in the email that will be sent to the signers.\n  * `test_mode`                    - Whether this is a test, the signature request will not be legally binding if set to true.\n  * `title`                        - The title you want to assign to the SignatureRequest.\n  * `use_text_tags`                - Send with a value of true if you wish to enable Text Tags parsing in your document.\n\n  * `populate_auto_fill_fields`    - Controls whether auto fill fields can automatically populate a signer's information during signing.\n\n      ⚠️ Note ⚠️: Keep your signer's information safe by ensuring that the signer on your signature\n      request is the intended party before using this feature.\n\n  * `expires_at`                   - When the signature request will expire. Unsigned signatures will be moved to the expired status, and no longer signable.\n  * `form_field_rules`             - Conditional Logic rules for fields defined in form_fields_per_document\n\n  * `form_fields_per_document`     - The fields that should appear on the document, expressed as an array of objects.\n      (For more details you can read about it here: Using Form Fields per Document.)\n\n      NOTE: Fields like text, dropdown, checkbox, radio, and hyperlink have additional\n      required and optional parameters. Check out the list of additional parameters for\n      these field types.\n\n      - Text Field use SubFormFieldsPerDocumentText\n      - Dropdown Field use SubFormFieldsPerDocumentDropdown\n      - Hyperlink Field use SubFormFieldsPerDocumentHyperlink\n      - Checkbox Field use SubFormFieldsPerDocumentCheckbox\n      - Radio Field use SubFormFieldsPerDocumentRadio\n      - Signature Field use SubFormFieldsPerDocumentSignature\n      - Date Signed Field use SubFormFieldsPerDocumentDateSigned\n      - Initials Field use SubFormFieldsPerDocumentInitials\n      - Text Merge Field use SubFormFieldsPerDocumentTextMerge\n      - Checkbox Merge Field use SubFormFieldsPerDocumentCheckboxMerge","ref":"Hellosign.Embedded.html#t:create_request/0"},{"type":"type","title":"Hellosign.Embedded.create_response/0","doc":"","ref":"Hellosign.Embedded.html#t:create_response/0"},{"type":"type","title":"Hellosign.Embedded.get_sign_url_request/0","doc":"The get sign url request type\n\n  A string representing the signature id for the embedded url","ref":"Hellosign.Embedded.html#t:get_sign_url_request/0"},{"type":"type","title":"Hellosign.Embedded.get_sign_url_response/0","doc":"","ref":"Hellosign.Embedded.html#t:get_sign_url_response/0"},{"type":"module","title":"Hellosign.File","doc":"","ref":"Hellosign.File.html"},{"type":"function","title":"Hellosign.File.download/4","doc":"","ref":"Hellosign.File.html#download/4"},{"type":"type","title":"Hellosign.File.data_uri_response/0","doc":"","ref":"Hellosign.File.html#t:data_uri_response/0"},{"type":"type","title":"Hellosign.File.download_criteria/0","doc":"The Download file criteria type\n\n  An atom representing the criteria to download the file\n  Enum:\n    :default     => This will return the binary of the requested file\n    :file_url    => This will return the file url of the requested file\n    :data_uri    => This will return the encode64 data_uri of the requested file","ref":"Hellosign.File.html#t:download_criteria/0"},{"type":"type","title":"Hellosign.File.download_params/0","doc":"The download file params type\n\nThe fields are:\n  * `file_type`            - Allows requester to specify the file type (see list of allowed types)\n        Enum: \"pdf\" \"zip\"\n        default: \"pdf\"\n\n  * `force_download`       - Allows requester to specify wheather browser will download the file and save it locally.\n      When set to 0 the file will be displayed in the browser. (see list of allowed types)\n\n        Enum: 0 1\n        default: 1","ref":"Hellosign.File.html#t:download_params/0"},{"type":"type","title":"Hellosign.File.download_path_type/0","doc":"The Download file path type\n\n  A string representing the signature request id to download the file","ref":"Hellosign.File.html#t:download_path_type/0"},{"type":"type","title":"Hellosign.File.file_url_response/0","doc":"","ref":"Hellosign.File.html#t:file_url_response/0"},{"type":"module","title":"Hellosign.FormDataConverter","doc":"","ref":"Hellosign.FormDataConverter.html"},{"type":"function","title":"Hellosign.FormDataConverter.map_to_form_data/1","doc":"Converts a map to form data.","ref":"Hellosign.FormDataConverter.html#map_to_form_data/1"},{"type":"module","title":"Hellosign.Types","doc":"Hellosign Types","ref":"Hellosign.Types.html"},{"type":"type","title":"Hellosign.Types.custom_field/0","doc":"Custom field type\n\nThe fields are:\n* `name` - The name of a custom field. When working with pre-filled data,\n    the custom field's name must have a matching merge field name or the\n    field will remain empty on the document during signing.\n\n* `editor` - Used to create editable merge fields. When the value matches\n    a role passed in with signers, that role can edit the data that was\n    pre-filled to that field. This field is optional, but required when\n    this custom field object is set to required = true.\n\n    Note: Editable merge fields are only supported for single signer requests\n    (or the first signer in ordered signature requests). If used when there\n    are multiple signers in an unordered signature request, the editor value is\n    ignored and the field won't be editable.\n\n* `required` - Used to set an editable merge field when working with pre-filled\n    data. When true, the custom field must specify a signer role in editor.\n    Default: false\n\n* `value` - The string that resolves (aka \"pre-fills\") to the merge field on the\n    final document(s) used for signing.","ref":"Hellosign.Types.html#t:custom_field/0"},{"type":"type","title":"Hellosign.Types.field_option/0","doc":"Field option type\n\nThe fields are:\n* `value` - Allows requester to specify the date format (see list of allowed formats)\n    Note: Only available for Premium and higher.\n    Enum: \"MM / DD / YYYY\" \"MM - DD - YYYY\" \"DD / MM / YYYY\" \"DD - MM - YYYY\" \"YYYY / MM / DD\" \"YYYY - MM - DD\"","ref":"Hellosign.Types.html#t:field_option/0"},{"type":"type","title":"Hellosign.Types.signature/0","doc":"Signature type\n\nThe fields are:\n* `signature_id` - Signature identifier.\n* `signer_group_guid` - Signer Group GUID\n* `signer_email_address` - The email address of the signer.\n* `signer_name` - The name of the signer.\n* `signer_role` - The role of the signer.\n* `order` - If signer order is assigned this is the 0-based index for this signer.\n* `status_code` - The current status of the signature. eg: awaiting_signature, signed, declined.\n* `decline_reason` - The reason provided by the signer for declining the request.\n* `signed_at` - Time that the document was signed or null.\n* `last_viewed_at` - The time that the document was last viewed by this signer or null.\n* `last_reminded_at` - The time the last reminder email was sent to the signer or null.\n* `has_pin` - Boolean to indicate whether this signature requires a PIN to access.\n* `has_sms_auth` - Boolean to indicate whether this signature has SMS authentication enabled.\n* `has_sms_delivery` - Boolean to indicate whether this signature has SMS delivery enabled.\n* `sms_phone_number` - The SMS phone number used for authentication or signature request delivery.\n* `reassigned_by` - Email address of original signer who reassigned to this signer.\n* `reassignment_reason` - Reason provided by original signer who reassigned to this signer.\n* `reassigned_from` - Previous signature identifier.\n* `error` - Error message pertaining to this signer, or null.","ref":"Hellosign.Types.html#t:signature/0"},{"type":"type","title":"Hellosign.Types.signature_request/0","doc":"Signature Request type\n\nThe fields are:\n* `test_mode` - Whether this is a test signature request. Test requests have no legal value. Defaults to false.\n* `signature_request_id` - The id of the SignatureRequest.\n* `requester_email_address` - The email address of the initiator of the SignatureRequest.\n* `title` - The title the specified Account uses for the SignatureRequest.\n* `original_title` - Default Label for account.\n* `subject` - The subject in the email that was initially sent to the signers.\n* `message` - The custom message in the email that was initially sent to the signers.\n* `metadata` - The metadata attached to the signature request.\n* `created_at` - Time the signature request was created.\n* `expires_at` - The time when the signature request will expire unsigned signatures.\n* `is_complete` - Whether or not the SignatureRequest has been fully executed by all signers.\n* `is_declined` - Whether or not the SignatureRequest has been declined by a signer.\n* `has_error` - Whether or not an error occurred (either during the creation of the SignatureRequest or during one of the signings).\n* `files_url` - The URL where a copy of the request's documents can be downloaded.\n* `signing_url` - The URL where a signer, after authenticating, can sign the documents.\n    This should only be used by users with existing Dropbox Sign accounts as they will be required to log in before signing.\n* `details_url` - The URL where the requester and the signers can view the current status of the SignatureRequest.\n* `cc_email_addresses` - A list of email addresses that were CCed on the SignatureRequest. They will receive a copy of the final PDF once all the signers have signed.\n* `signing_redirect_url` - The URL you want the signer redirected to after they successfully sign.\n* `template_ids` - Templates IDs used in this SignatureRequest (if any).\n* `custom_fields` - An array of Custom Field objects containing the name and type of each custom field.\n    - Text Field uses SignatureRequestResponseCustomFieldText\n    - Checkbox Field uses SignatureRequestResponseCustomFieldCheckbox\n* `attachments` - Signer attachments.\n* `response_data` - An array of form field objects containing the name, value, and type of each textbox or checkmark field filled in by the signers.\n* `signatures` - An array of signature objects, 1 for each signer.","ref":"Hellosign.Types.html#t:signature_request/0"},{"type":"type","title":"Hellosign.Types.signer/0","doc":"Signer type\n\nThe fields are:\n* `email_address` - The email address of the signer.\n* `name` - The name of the signer.\n* `order` - The order the signer is required to sign in.\n* `pin` - The 4- to 12-character access code that will secure this signer's signature page.\n\n* `sms_phone_number` - An E.164 formatted phone number.\n    Note: Not available in test mode and requires a Standard plan or higher\n\n* `sms_phone_number_type` - Specifies the feature used with the sms_phone_number. Default authentication.\n    If authentication, signer is sent a verification code via SMS that is required to access the document.\n    If delivery, a link to complete the signature request is delivered via SMS (and email).\n    Enum: \"authentication\" \"delivery\"","ref":"Hellosign.Types.html#t:signer/0"},{"type":"type","title":"Hellosign.Types.signer_group/0","doc":"Signer Group type\n\nThe fields are:\n* `group` - The name of the group.\n\n* `signers` - Signers belonging to this Group.\n    NOTE: Only name, email_address, and pin are available to\n    Grouped Signers. We will ignore all other properties, even\n    though they are listed below.\n\n* `order` - The order the group is required to sign in. Use this\n    instead of Signer-level order.","ref":"Hellosign.Types.html#t:signer_group/0"},{"type":"type","title":"Hellosign.Types.sub_attachment/0","doc":"Sub Attachment type\n\nThe fields are:\n* `name` - The name of attachment.\n\n* `signer_index` - The signer's index in the signers parameter (0-based indexing).\n    NOTE: Only one signer can be assigned per attachment.\n\n* `instructions` - The instructions for uploading the attachment.\n* `required` - Determines if the attachment must be uploaded. Default false","ref":"Hellosign.Types.html#t:sub_attachment/0"},{"type":"type","title":"Hellosign.Types.sub_form_field_group/0","doc":"Sub Form Field Group type\n\nThe fields are:\n* `group_id` - ID of group. Use this to reference a specific group from the group\n    value in form_fields_per_document.\n\n* `group_label` - Name of group.\n\n* `requirement` - Examples: require_0-1 require_1 require_1-ormore\n    - Check out the list of acceptable requirement checkbox type values.\n    - Check out the list of acceptable requirement radio type fields.\n    - Radio groups require at least two fields per group.","ref":"Hellosign.Types.html#t:sub_form_field_group/0"},{"type":"type","title":"Hellosign.Types.sub_form_field_rule/0","doc":"Sub Form Field Rule type\n\nThe fields are:\n* `id` - ID of group. Must be unique across all defined rules.\n* `trigger_operator` - Currently only AND is supported. Support for OR is being worked on.","ref":"Hellosign.Types.html#t:sub_form_field_rule/0"},{"type":"type","title":"Hellosign.Types.sub_signing_options/0","doc":"Sub Form Field Rule type\n\nThe fields are:\n* `default` - The default type shown (limited to the listed types)\n    Enum: \"draw\" \"phone\" \"type\" \"upload\"\n\n* `draw` - Allows drawing the signature\n* `phone` - Allows using a smartphone to email the signature\n* `type` - Allows typing the signature\n* `upload` - Allows uploading the signature","ref":"Hellosign.Types.html#t:sub_signing_options/0"},{"type":"type","title":"Hellosign.Types.warning/0","doc":"Warning type\n\nThe fields are:\n* `warning_msg` - Warning message\n* `warning_name` - Warning name","ref":"Hellosign.Types.html#t:warning/0"},{"type":"task","title":"mix install.embedded","doc":"","ref":"Mix.Tasks.Install.Embedded.html"},{"type":"extras","title":"Hellosign","doc":"# Hellosign\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - Hellosign","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `hellosign_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:hellosign_ex, \"~> 0.1.3\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024 Aqdas Malik\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}